package com.qmth.cet.plug.service;

import java.io.IOException;
import java.util.concurrent.ExecutorService;

/**
 * @Description: logic service
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2025/6/13
 */
public interface LogicService {

    /**
     * 执行解析数据
     *
     * @param fileName
     * @param projectPath
     * @param rootDirName
     * @param executor
     * @param cardPath
     */
    void execFile(String fileName,
                  String projectPath,
                  String rootDirName,
                  ExecutorService executor,
                  String cardPath) throws IOException, InterruptedException;

    /**
     * 执行逻辑
     *
     * @throws IOException
     * @throws InterruptedException
     */
    void execLogic() throws IOException, InterruptedException;
}
